import request from '@/utils/request'

// 查询摇一摇游戏奖项配置列表
export function shakeGameAwardList (query) {
  return request({
    url: `/system/shakeGameAward/list`,
    method: 'get',
    params: query
  })
}
// 新增摇一摇游戏奖项配置
export function shakeGameAwardAdd (data) {
  return request({
    url: `/system/shakeGameAward/add`,
    method: 'post',
    data
  })
}
// 删除摇一摇游戏奖项配置
export function shakeGameAwardDel (id) {
  return request({
    url: `/system/shakeGameAward/del/${id}`,
    method: 'post',
  })
}
// 获取摇一摇游戏奖项配置详细信息
export function shakeGameAwardInfo (id) {
  return request({
    url: `/system/shakeGameAward/info/${id}`,
    method: 'get',
  })
}
// 修改摇一摇游戏奖项配置
export function shakeGameAwardEdit (data) {
  return request({
    url: `/system/shakeGameAward/edit`,
    method: 'post',
    data
  })
}
// 保存摇一摇游戏配置
export function shakeGameConfigSave (data) {
  return request({
    url: `/system/shakeGameConfig/save`,
    method: 'post',
    data
  })
}
// 获取摇一摇游戏配置详细信息
export function shakeGameConfigInfo () {
  return request({
    url: `/system/shakeGameConfig/info`,
    method: 'get',
  })
}
// 查询摇一摇游戏黑名单列表
export function shakeBlackPage (query) {
  return request({
    url: `/system/shakeBlack/page`,
    method: 'get',
    params: query
  })
}
// 新增摇一摇游戏黑名单
export function shakeBlackAdd (data) {
  return request({
    url: `/system/shakeBlack/add`,
    method: 'post',
    data
  })
}
// 删除摇一摇游戏黑名单
export function shakeBlackDel (blackId) {
  return request({
    url: `/system/shakeBlack/del/${blackId}`,
    method: 'post',
  })
}
// 查询摇一摇活动列表
export function shakeActivityPage (query) {
  return request({
    url: `/system/shakeActivity/page`,
    method: 'get',
    params: query
  })
}
// 手动创建摇一摇活动
export function shakeActivityCreate (data) {
  return request({
    url: `/system/shakeActivity/create`,
    method: 'post',
    data
  })
}
// 获取摇一摇活动详细信息
export function shakeActivityInfo (activityId) {
  return request({
    url: `/system/shakeActivity/info/${activityId}`,
    method: 'get',
  })
}
// 查询活动用户信息列表
export function shakeActivityUserPage (query) {
  return request({
    url: `/system/shakeActivityUser/page`,
    method: 'get',
    params: query
  })
}
// 获取活动用户信息详细信息
export function shakeActivityUserInfo (detailId) {
  return request({
    url: `/system/shakeActivityUser/info/${detailId}`,
    method: 'get',
  })
}
// 获取当前正在活动中的游戏
export function shakeActivityDetail (query) {
  return request({
    url: `/system/shakeActivity/detail`,
    method: 'get',
    params: query
  })
}
// 获取用户获奖及奖品信息
export function shakeActivityPrizeDetail (query) {
  return request({
    url: `/system/shakeActivityPrize/detail`,
    method: 'get',
    params: query
  })
}